NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::BridgeCurveBuilder Class Reference

Represents a NXOpen::Features::BridgeCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateBridgeCurveBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::BridgeCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ConstraintTypes { ConstraintTypesG0, ConstraintTypesG1, ConstraintTypesG2, ConstraintTypesG3 }
 This enum represents the end continuity constraint types for the bridge curve. More...
 
enum  CurveDirectionTypes { CurveDirectionTypesTangent, CurveDirectionTypesPerpendicular }
 This enum represents the direction type for input curves. More...
 
enum  CurveFitTypes { CurveFitTypesCubic, CurveFitTypesQuintic, CurveFitTypesAdvanced }
 This enum represents the curve fit types for the bridge curve. More...
 
enum  EndObjectTypes { EndObjectTypesObject, EndObjectTypesVector }
 This enum represents the current selected end object types for the bridge curve. More...
 
enum  MinRadiusTypes { MinRadiusTypesNone, MinRadiusTypesMinimum, MinRadiusTypesPeak }
 This enum represents the minimum radius types for the bridge curve. More...
 
enum  SelectedObject { SelectedObjectOne, SelectedObjectTwo }
 This enum represents the current selected object for the bridge curve. More...
 
enum  ShapeControlTypes { ShapeControlTypesEndPoint, ShapeControlTypesPeakPoint, ShapeControlTypesConic, ShapeControlTypesShapeCurve }
 This enum represents the shape control types for the bridge curve. More...
 
enum  SurfaceDirectionTypes { SurfaceDirectionTypesSectional, SurfaceDirectionTypesIsoU, SurfaceDirectionTypesIsoV }
 This enum represents the direction type for input surfaces. More...
 

Public Member Functions

NXOpen::ScCollectorConstraintFaces ()
 Returns the constraint faces
More...
 
NXOpen::GeometricUtilities::CurveFitDataCurveFitData ()
 Returns the curve fitting parameters
More...
 
NXOpen::Features::BridgeCurveBuilder::CurveFitTypes CurveFitOption ()
 Returns the curve fit option
More...
 
NXOpen::ExpressionDepth ()
 Returns the depth value for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesPeakPoint
More...
 
NXOpen::Features::BridgeCurveBuilder::ConstraintTypes EndContinuityOption ()
 Returns the end continuity option
More...
 
NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes EndCurveDirectionOption ()
 Returns the end curve direction option
More...
 
NXOpen::ExpressionEndDirectionAngle ()
 Returns the end direction angle
More...
 
NXOpen::SelectObjectEndObject ()
 Returns the end object
More...
 
NXOpen::Features::BridgeCurveBuilder::EndObjectTypes EndObjectOption ()
 Returns the object selection option
More...
 
NXOpen::SelectObjectEndPerpendicularFace ()
 Returns the end perpendicular face
More...
 
NXOpen::DirectionEndPointDirection ()
 Returns the end point direction
More...
 
NXOpen::PointEndReferencePoint ()
 Returns the start reference point
More...
 
NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes EndSurfaceDirectionOption ()
 Returns the end surface direction option
More...
 
NXOpen::ExpressionEndTangentMagnitude ()
 Returns the end tangent magnitude for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesEndPoint
More...
 
NXOpen::DirectionEndVectorObject ()
 Returns the start point direction
More...
 
bool IsAssociative ()
 Returns whether the bridge curve is associative
More...
 
int MaximumDegree ()
 Returns the maximum degree
More...
 
int MaximumSegment ()
 Returns the maximum segment
More...
 
NXOpen::Features::BridgeCurveBuilder::MinRadiusTypes MinimumRadiusOption ()
 Returns the minimum radius option
More...
 
NXOpen::ExpressionMinimumRadiusValue ()
 Returns the minimum radius value
More...
 
NXOpen::Features::BridgeCurveBuilder::SelectedObject ObjectSelectionOption ()
 Returns the object selection option
More...
 
bool ReverseEndDirection ()
 Returns the reverse end direction
More...
 
bool ReverseStartDirection ()
 Returns the reverse start direction
More...
 
NXOpen::ExpressionRho ()
 Returns the rho value for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesConic
More...
 
void SetAssociative (bool associative)
 Sets whether the bridge curve is associative
More...
 
void SetCurveFitOption (NXOpen::Features::BridgeCurveBuilder::CurveFitTypes curveFitOption)
 Sets the curve fit option
More...
 
void SetEndContinuityOption (NXOpen::Features::BridgeCurveBuilder::ConstraintTypes endContinuityOption)
 Sets the end continuity option
More...
 
void SetEndCurveDirectionOption (NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes endCurveDirectionOption)
 Sets the end curve direction option
More...
 
void SetEndObjectOption (NXOpen::Features::BridgeCurveBuilder::EndObjectTypes endObjectOption)
 Sets the object selection option
More...
 
void SetEndPointDirection (NXOpen::Direction *endPointDirection)
 Sets the end point direction
More...
 
void SetEndReferencePoint (NXOpen::Point *endReferencePoint)
 Sets the start reference point
More...
 
void SetEndSurfaceDirectionOption (NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes endSurfaceDirectionOption)
 Sets the end surface direction option
More...
 
void SetEndVectorObject (NXOpen::Direction *endVectorObject)
 Sets the start point direction
More...
 
void SetMaximumDegree (int maximumDegree)
 Sets the maximum degree
More...
 
void SetMaximumSegment (int maximumSegment)
 Sets the maximum segment
More...
 
void SetMinimumRadiusOption (NXOpen::Features::BridgeCurveBuilder::MinRadiusTypes minimumRadiusOption)
 Sets the minimum radius option
More...
 
void SetObjectSelectionOption (NXOpen::Features::BridgeCurveBuilder::SelectedObject objectSelectionOption)
 Sets the object selection option
More...
 
void SetReverseEndDirection (bool reverseEndDirection)
 Sets the reverse end direction
More...
 
void SetReverseStartDirection (bool reverseStartDirection)
 Sets the reverse start direction
More...
 
void SetShapeControlOption (NXOpen::Features::BridgeCurveBuilder::ShapeControlTypes shapeControlOption)
 Sets the shape control option
More...
 
void SetStartContinuityOption (NXOpen::Features::BridgeCurveBuilder::ConstraintTypes startContinuityOption)
 Sets the start continuity option
More...
 
void SetStartCurveDirectionOption (NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes startCurveDirectionOption)
 Sets the start curve direction option
More...
 
void SetStartPointDirection (NXOpen::Direction *startPointDirection)
 Sets the start point direction
More...
 
void SetStartReferencePoint (NXOpen::Point *startReferencePoint)
 Sets the start reference point
More...
 
void SetStartSurfaceDirectionOption (NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes startSurfaceDirectionOption)
 Sets the start surface direction option
More...
 
void SetTolerance (double tolerance)
 Sets the tolerance
More...
 
NXOpen::Features::BridgeCurveBuilder::ShapeControlTypes ShapeControlOption ()
 Returns the shape control option
More...
 
NXOpen::SelectObjectShapeCurve ()
 Returns the shape curve for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesShapeCurve
More...
 
NXOpen::ExpressionSkew ()
 Returns the skew value for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesPeakPoint
More...
 
NXOpen::Features::BridgeCurveBuilder::ConstraintTypes StartContinuityOption ()
 Returns the start continuity option
More...
 
NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes StartCurveDirectionOption ()
 Returns the start curve direction option
More...
 
NXOpen::ExpressionStartDirectionAngle ()
 Returns the start direction angle
More...
 
NXOpen::SelectObjectStartObject ()
 Returns the start object
More...
 
NXOpen::SelectObjectStartPerpendicularFace ()
 Returns the start perpendicular face
More...
 
NXOpen::DirectionStartPointDirection ()
 Returns the start point direction
More...
 
NXOpen::PointStartReferencePoint ()
 Returns the start reference point
More...
 
NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes StartSurfaceDirectionOption ()
 Returns the start surface direction option
More...
 
NXOpen::ExpressionStartTangentMagnitude ()
 Returns the start tangent magnitude for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesEndPoint
More...
 
double Tolerance ()
 Returns the tolerance
More...
 
NXOpen::ExpressionUPercentEnd ()
 Returns the u percent end
More...
 
NXOpen::ExpressionUPercentStart ()
 Returns the u percent start
More...
 
NXOpen::ExpressionVPercentEnd ()
 Returns the v percent end
More...
 
NXOpen::ExpressionVPercentStart ()
 Returns the v percent start
More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::BridgeCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateBridgeCurveBuilder
Default values.

Property Value

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

Depth.Value

50

EndDirectionAngle.Value

0

EndTangentMagnitude.Value

1

IsAssociative

True

MinimumRadiusValue.Value

1

ReverseEndDirection

False

ReverseStartDirection

False

Rho.Value

0.5

Skew.Value

50

StartDirectionAngle.Value

0

StartTangentMagnitude.Value

1

UPercentEnd.Value

0

UPercentStart.Value

0

VPercentEnd.Value

0

VPercentStart.Value

0


Deprecated:
Deprecated in NX8.5.0. Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

Member Enumeration Documentation

This enum represents the end continuity constraint types for the bridge curve.

Enumerator
ConstraintTypesG0 

G0 continuity.

ConstraintTypesG1 

G1 continuity.

ConstraintTypesG2 

G2 continuity.

ConstraintTypesG3 

G3 continuity.

This enum represents the direction type for input curves.

Enumerator
CurveDirectionTypesTangent 

bridge direction takes the tangent direction of the base curve at the selected point

CurveDirectionTypesPerpendicular 

bridge direction takes the direction that is perpendicular to the tangent direction of the base curve at the selected point

This enum represents the curve fit types for the bridge curve.

Enumerator
CurveFitTypesCubic 

fit curve with 3 degrees

CurveFitTypesQuintic 

fit curve with 5 degrees

CurveFitTypesAdvanced 

general fit curve

This enum represents the current selected end object types for the bridge curve.

Enumerator
EndObjectTypesObject 

allowed end object type except a vector object

EndObjectTypesVector 

vector object

This enum represents the minimum radius types for the bridge curve.

Enumerator
MinRadiusTypesNone 

no minimum radius

MinRadiusTypesMinimum 

regular

MinRadiusTypesPeak 

peak

This enum represents the current selected object for the bridge curve.

Enumerator
SelectedObjectOne 

input object 1 selected

SelectedObjectTwo 

input object 2 selected

This enum represents the shape control types for the bridge curve.

Enumerator
ShapeControlTypesEndPoint 

end point conditions

ShapeControlTypesPeakPoint 

peak point conditions

ShapeControlTypesConic 

conic parameter

ShapeControlTypesShapeCurve 

shape curve

This enum represents the direction type for input surfaces.

Enumerator
SurfaceDirectionTypesSectional 

bridge direction takes non-isoparametric direction of the base surface at the selected point

SurfaceDirectionTypesIsoU 

bridge direction takes u-isoparametric direction of the base surface at the selected point

SurfaceDirectionTypesIsoV 

bridge direction takes v-isoparametric direction of the base surface at the selected point

Member Function Documentation

NXOpen::ScCollector* NXOpen::Features::BridgeCurveBuilder::ConstraintFaces ( )

Returns the constraint faces

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::BridgeCurveBuilder::CurveFitData ( )

Returns the curve fitting parameters

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX8.5.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::CurveFitTypes NXOpen::Features::BridgeCurveBuilder::CurveFitOption ( )

Returns the curve fit option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::Depth ( )

Returns the depth value for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesPeakPoint

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::ConstraintTypes NXOpen::Features::BridgeCurveBuilder::EndContinuityOption ( )

Returns the end continuity option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes NXOpen::Features::BridgeCurveBuilder::EndCurveDirectionOption ( )

Returns the end curve direction option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::EndDirectionAngle ( )

Returns the end direction angle

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::EndObject ( )

Returns the end object

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::EndObjectTypes NXOpen::Features::BridgeCurveBuilder::EndObjectOption ( )

Returns the object selection option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::EndPerpendicularFace ( )

Returns the end perpendicular face

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::BridgeCurveBuilder::EndPointDirection ( )

Returns the end point direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::BridgeCurveBuilder::EndReferencePoint ( )

Returns the start reference point

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes NXOpen::Features::BridgeCurveBuilder::EndSurfaceDirectionOption ( )

Returns the end surface direction option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::EndTangentMagnitude ( )

Returns the end tangent magnitude for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesEndPoint

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::BridgeCurveBuilder::EndVectorObject ( )

Returns the start point direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Features::BridgeCurveBuilder::IsAssociative ( )

Returns whether the bridge curve is associative

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

int NXOpen::Features::BridgeCurveBuilder::MaximumDegree ( )

Returns the maximum degree

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

int NXOpen::Features::BridgeCurveBuilder::MaximumSegment ( )

Returns the maximum segment

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::MinRadiusTypes NXOpen::Features::BridgeCurveBuilder::MinimumRadiusOption ( )

Returns the minimum radius option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::MinimumRadiusValue ( )

Returns the minimum radius value

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::SelectedObject NXOpen::Features::BridgeCurveBuilder::ObjectSelectionOption ( )

Returns the object selection option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Features::BridgeCurveBuilder::ReverseEndDirection ( )

Returns the reverse end direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Features::BridgeCurveBuilder::ReverseStartDirection ( )

Returns the reverse start direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::Rho ( )

Returns the rho value for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesConic

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

void NXOpen::Features::BridgeCurveBuilder::SetAssociative ( bool  associative)

Sets whether the bridge curve is associative

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
associativeassociative
void NXOpen::Features::BridgeCurveBuilder::SetCurveFitOption ( NXOpen::Features::BridgeCurveBuilder::CurveFitTypes  curveFitOption)

Sets the curve fit option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
curveFitOptioncurvefitoption
void NXOpen::Features::BridgeCurveBuilder::SetEndContinuityOption ( NXOpen::Features::BridgeCurveBuilder::ConstraintTypes  endContinuityOption)

Sets the end continuity option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
endContinuityOptionendcontinuityoption
void NXOpen::Features::BridgeCurveBuilder::SetEndCurveDirectionOption ( NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes  endCurveDirectionOption)

Sets the end curve direction option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
endCurveDirectionOptionendcurvedirectionoption
void NXOpen::Features::BridgeCurveBuilder::SetEndObjectOption ( NXOpen::Features::BridgeCurveBuilder::EndObjectTypes  endObjectOption)

Sets the object selection option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
endObjectOptionendobjectoption
void NXOpen::Features::BridgeCurveBuilder::SetEndPointDirection ( NXOpen::Direction endPointDirection)

Sets the end point direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
endPointDirectionendpointdirection
void NXOpen::Features::BridgeCurveBuilder::SetEndReferencePoint ( NXOpen::Point endReferencePoint)

Sets the start reference point

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
endReferencePointendreferencepoint
void NXOpen::Features::BridgeCurveBuilder::SetEndSurfaceDirectionOption ( NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes  endSurfaceDirectionOption)

Sets the end surface direction option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
endSurfaceDirectionOptionendsurfacedirectionoption
void NXOpen::Features::BridgeCurveBuilder::SetEndVectorObject ( NXOpen::Direction endVectorObject)

Sets the start point direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
endVectorObjectendvectorobject
void NXOpen::Features::BridgeCurveBuilder::SetMaximumDegree ( int  maximumDegree)

Sets the maximum degree

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
maximumDegreemaximumdegree
void NXOpen::Features::BridgeCurveBuilder::SetMaximumSegment ( int  maximumSegment)

Sets the maximum segment

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
maximumSegmentmaximumsegment
void NXOpen::Features::BridgeCurveBuilder::SetMinimumRadiusOption ( NXOpen::Features::BridgeCurveBuilder::MinRadiusTypes  minimumRadiusOption)

Sets the minimum radius option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
minimumRadiusOptionminimumradiusoption
void NXOpen::Features::BridgeCurveBuilder::SetObjectSelectionOption ( NXOpen::Features::BridgeCurveBuilder::SelectedObject  objectSelectionOption)

Sets the object selection option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
objectSelectionOptionobjectselectionoption
void NXOpen::Features::BridgeCurveBuilder::SetReverseEndDirection ( bool  reverseEndDirection)

Sets the reverse end direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
reverseEndDirectionreverseenddirection
void NXOpen::Features::BridgeCurveBuilder::SetReverseStartDirection ( bool  reverseStartDirection)

Sets the reverse start direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
reverseStartDirectionreversestartdirection
void NXOpen::Features::BridgeCurveBuilder::SetShapeControlOption ( NXOpen::Features::BridgeCurveBuilder::ShapeControlTypes  shapeControlOption)

Sets the shape control option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
shapeControlOptionshapecontroloption
void NXOpen::Features::BridgeCurveBuilder::SetStartContinuityOption ( NXOpen::Features::BridgeCurveBuilder::ConstraintTypes  startContinuityOption)

Sets the start continuity option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
startContinuityOptionstartcontinuityoption
void NXOpen::Features::BridgeCurveBuilder::SetStartCurveDirectionOption ( NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes  startCurveDirectionOption)

Sets the start curve direction option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
startCurveDirectionOptionstartcurvedirectionoption
void NXOpen::Features::BridgeCurveBuilder::SetStartPointDirection ( NXOpen::Direction startPointDirection)

Sets the start point direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
startPointDirectionstartpointdirection
void NXOpen::Features::BridgeCurveBuilder::SetStartReferencePoint ( NXOpen::Point startReferencePoint)

Sets the start reference point

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
startReferencePointstartreferencepoint
void NXOpen::Features::BridgeCurveBuilder::SetStartSurfaceDirectionOption ( NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes  startSurfaceDirectionOption)

Sets the start surface direction option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
startSurfaceDirectionOptionstartsurfacedirectionoption
void NXOpen::Features::BridgeCurveBuilder::SetTolerance ( double  tolerance)

Sets the tolerance

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
tolerancetolerance
NXOpen::Features::BridgeCurveBuilder::ShapeControlTypes NXOpen::Features::BridgeCurveBuilder::ShapeControlOption ( )

Returns the shape control option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::ShapeCurve ( )

Returns the shape curve for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesShapeCurve

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::Skew ( )

Returns the skew value for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesPeakPoint

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::ConstraintTypes NXOpen::Features::BridgeCurveBuilder::StartContinuityOption ( )

Returns the start continuity option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::CurveDirectionTypes NXOpen::Features::BridgeCurveBuilder::StartCurveDirectionOption ( )

Returns the start curve direction option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::StartDirectionAngle ( )

Returns the start direction angle

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::StartObject ( )

Returns the start object

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::SelectObject* NXOpen::Features::BridgeCurveBuilder::StartPerpendicularFace ( )

Returns the start perpendicular face

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::BridgeCurveBuilder::StartPointDirection ( )

Returns the start point direction

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::BridgeCurveBuilder::StartReferencePoint ( )

Returns the start reference point

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::BridgeCurveBuilder::SurfaceDirectionTypes NXOpen::Features::BridgeCurveBuilder::StartSurfaceDirectionOption ( )

Returns the start surface direction option

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::StartTangentMagnitude ( )

Returns the start tangent magnitude for shape control option of NXOpen::Features::BridgeCurveBuilder::ShapeControlTypesEndPoint

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

double NXOpen::Features::BridgeCurveBuilder::Tolerance ( )

Returns the tolerance

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::UPercentEnd ( )

Returns the u percent end

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::UPercentStart ( )

Returns the u percent start

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::VPercentEnd ( )

Returns the v percent end

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::BridgeCurveBuilder::VPercentStart ( )

Returns the v percent start

Deprecated:
Deprecated in NX8.5.0.

Use NXOpen::Features::BridgeCurveBuilderEx instead.


Created in NX5.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.